import { RsocketClient } from "./rsocket-client";
import { RsocketConfig } from "./rsocket-config";
import { Auth, ChannelParam, FireAndForgotParam } from "./rsocket.type";
import * as i0 from "@angular/core";
export declare class RsocketService {
    rsocketClient: RsocketClient;
    constructor();
    connect(): void;
    get connectionStatus(): import("rxjs").Observable<import("./rsocket.type").ConnectionStatus>;
    get networkStatus(): import("rxjs").Observable<import("./rsocket.type").NetWorkStatus>;
    fireAndForget(payload: FireAndForgotParam): void;
    requestChannel<T>(params: ChannelParam<T>): import("rxjs").Observable<import("@rsocket/core").OnTerminalSubscriber & import("@rsocket/core").OnNextSubscriber & import("@rsocket/core").OnExtensionSubscriber & import("@rsocket/core").Requestable & import("@rsocket/core").Cancellable>;
    setConfig(config: RsocketConfig): void;
    setAuth(auth: Auth): void;
    setConnected(): void;
    get error(): import("rxjs").Observable<Error>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RsocketService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RsocketService>;
}
